package logic

import (
	"context"
	"fmt"

	. "bp.jydev.jianyu360.cn/BaseService/resourceCenter/public/service"
	"bp.jydev.jianyu360.cn/BaseService/resourceCenter/rpc/internal/svc"
	"bp.jydev.jianyu360.cn/BaseService/resourceCenter/rpc/pb"
	"github.com/zeromicro/go-zero/core/logx"
)

type WaitEmpowerDetailBySpecIdLogic struct {
	ctx    context.Context
	svcCtx *svc.ServiceContext
	logx.Logger
}

func NewWaitEmpowerDetailBySpecIdLogic(ctx context.Context, svcCtx *svc.ServiceContext) *WaitEmpowerDetailBySpecIdLogic {
	return &WaitEmpowerDetailBySpecIdLogic{
		ctx:    ctx,
		svcCtx: svcCtx,
		Logger: logx.WithContext(ctx),
	}
}

// 根据商品规格获取待授权详情
func (l *WaitEmpowerDetailBySpecIdLogic) WaitEmpowerDetailBySpecId(in *pb.WaitEmpowerDetailBySpecIdReq) (*pb.WaitEmpowerDetailsResp, error) {
	resp, err := WaitEmpowerDetailBySpecId(in.Appid, in.SpecId, in.EntId)
	if err != nil {
		l.Error(fmt.Sprintf("%+v", in), err)
	}
	return resp, nil
}
